org.modeshape.sequencer.teiid.lexicon

## Interface ModelExtensionDefinitionLexicon.JcrId

- Enclosing interface:
    ModelExtensionDefinitionLexicon

      public static interface ModelExtensionDefinitionLexicon.JcrId

  JCR identifiers relating to the MED namespace.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ModelExtensionDefinitionLexicon.JcrId.Property` Constants related to model extension definition property definitions in JCR repositories.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DESCRIPTION`
    `static String` | `EXTENDED_METACLASS`
    `static String` | `EXTENDED_METAMODEL`
    `static String` | `LOCALE`
    `static String` | `LOCALIZED`
    `static String` | `LOCALIZED_DESCRIPTION`
    `static String` | `LOCALIZED_NAME`
    `static String` | `MODEL_EXTENSION_DEFINITION`
    `static String` | `MODEL_TYPES`
    `static String` | `NAMESPACE_PREFIX`
    `static String` | `NAMESPACE_URI`
    `static String` | `PROPERTY_DEFINITION`
    `static String` | `TRANSLATION`
    `static String` | `VERSION`

- - ### Field Detail

    - #### PROPERTY_DEFINITION

          static final String PROPERTY_DEFINITION

      See Also:
        Constant Field Values

    - #### LOCALIZED

          static final String LOCALIZED

      See Also:
        Constant Field Values

    - #### LOCALE

          static final String LOCALE

      See Also:
        Constant Field Values

    - #### TRANSLATION

          static final String TRANSLATION

      See Also:
        Constant Field Values

    - #### LOCALIZED_DESCRIPTION

          static final String LOCALIZED_DESCRIPTION

      See Also:
        Constant Field Values

    - #### LOCALIZED_NAME

          static final String LOCALIZED_NAME

      See Also:
        Constant Field Values

    - #### EXTENDED_METACLASS

          static final String EXTENDED_METACLASS

      See Also:
        Constant Field Values

    - #### MODEL_EXTENSION_DEFINITION

          static final String MODEL_EXTENSION_DEFINITION

      See Also:
        Constant Field Values

    - #### EXTENDED_METAMODEL

          static final String EXTENDED_METAMODEL

      See Also:
        Constant Field Values

    - #### NAMESPACE_PREFIX

          static final String NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### NAMESPACE_URI

          static final String NAMESPACE_URI

      See Also:
        Constant Field Values

    - #### VERSION

          static final String VERSION

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### MODEL_TYPES

          static final String MODEL_TYPES

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.